Bug 223120 - net-im/libpurple Makefile suggestion for radio option for SSL, and Bonjour to be treated as a protocol
Summary: net-im/libpurple Makefile suggestion for radio option for SSL, and Bonjour to...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-19 22:10 UTC by sid
Modified: 2017-12-15 13:24 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sid 2017-10-19 22:10:13 UTC
In this suggestion GNUTLS and NSS are moved to a radio (either or) option under SSL. Also, Bonjour behaves like a protocol, as it can be selected from the drop down menu, when running Pidgin, so I suggest moving it to the (net) protocols section. Thank you.
Here is the diff file:


--- Makefile	2017-10-19 17:00:26.306552000 -0500
+++ Makefile.edit	2017-10-19 16:59:30.248201000 -0500
@@ -41,13 +41,15 @@
 
 CPE_VENDOR=	pidgin
 
-OPTIONS_DEFINE=	BONJOUR DBUS GNUTLS NSS SASL GSTREAMER VV IDN PERL TCLTK
+OPTIONS_DEFINE=		DBUS SASL GSTREAMER VV IDN PERL TCLTK
+OPTIONS_RADIO=		SSL
+OPTIONS_RADIO_SSL=	NSS GNUTLS
 OPTIONS_GROUP=		PROTOCOLS
-OPTIONS_GROUP_PROTOCOLS=GG SAMETIME SILC IRC JABBER \
+OPTIONS_GROUP_PROTOCOLS=BONJOUR GG SAMETIME SILC IRC JABBER \
 			NOVELL OSCAR QQ SIMPLE ZEPHYR
 OPTIONS_DEFAULT=	BONJOUR DBUS NSS GSTREAMER VV IDN GG IRC JABBER \
 			NOVELL OSCAR QQ SIMPLE ZEPHYR
-BONJOUR_DESC=	mDNS support
+BONJOUR_DESC=	mDNS support and Bonjour protocol
 GNUTLS_DESC=	Use GNUTLS for encryption support
 NSS_DESC=	Use Mozilla NSS for encryption support
 SASL_DESC=	Cyrus SASL support (for jabberd)
Comment 1 sid 2017-10-20 02:13:02 UTC
+OPTIONS_RADIO=		SSL
+OPTIONS_RADIO_SSL=	NSS GNUTLS

In this Makefile, both "SSL" should be replaced with "TLS", because SSL is a subset of TLS:

+OPTIONS_RADIO=		TLS
+OPTIONS_RADIO_TLS=	NSS GNUTLS
Comment 2 Joe Marcus Clarke freebsd_committer 2017-12-15 13:24:43 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2017-12-15 13:24:52 UTC
A commit references this bug:

Author: marcus
Date: Fri Dec 15 13:24:31 UTC 2017
New revision: 456394
URL: https://svnweb.freebsd.org/changeset/ports/456394

Log:
  Clean up the Makefile a bit.

  * Make BONJOUR a protocol option since it behaves like one
  * Add a radio button for TLS options NSS and GNUTLS

  PR:		223120
  Submitted by:	sid@bsdmail.com

Changes:
  head/net-im/libpurple/Makefile